Package writer2latex.latex

# Class ConverterPalette

java.lang.Object
writer2latex.base.ConverterBase
writer2latex.latex.ConverterPalette

All Implemented Interfaces:
  `Converter`

public final class ConverterPalette extends ConverterBase
This class converts a Writer XML file to a LaTeX file

## Nested Class Summary

## Nested classes/interfaces inherited from class writer2latex.base.ConverterBase

`ConverterBase.TexMathsStyle`

## Field Summary

### Fields inherited from class writer2latex.base.ConverterBase

`converterResult, graphicConverter, imageConverter, metaData, odDoc, ofr, sTargetFileName`

## Constructor Summary

Constructors
Constructor
Description
`ConverterPalette()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addGlobalOption(String sOption)`
`void`
`convertInner()`
`writer2latex.latex.BibConverter`
`getBibCv()`
`BlockConverter`
`getBlockCv()`
`CaptionConverter`
`getCaptionCv()`
`CharStyleConverter`
`getCharSc()`
`ColorConverter`
`getColorCv()`
`Config`
`getConfig()`
Get the interface for the configuration of this converter
`DrawConverter`
`getDrawCv()`
`FieldConverter`
`getFieldCv()`
`HeadingConverter`
`getHeadingCv()`
`I18n`
`getI18n()`
`IndexConverter`
`getIndexCv()`
`writer2latex.latex.Info`
`getInfo()`
`InlineConverter`
`getInlineCv()`
`ListConverter`
`getListCv()`
`Context`
`getMainContext()`
`MathConverter`
`getMathCv()`
`NoteConverter`
`getNoteCv()`
`String`
`getOutFileName()`
`PageStyleConverter`
`getPageSc()`
`ParConverter`
`getParCv()`
`SectionConverter`
`getSectionCv()`
`TableConverter`
`getTableCv()`

### Methods inherited from class writer2latex.base.ConverterBase

`addDocument, convert, convert, convert, getEmbeddedObject, getImageCv, getMetaData, getTexMathsEquation, getTexMathsEquation, getTexMathsStyle, readResource, readResource, readStyleSheet, readStyleSheet, readTemplate, readTemplate, setGraphicConverter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConverterPalette

public ConverterPalette()

## Method Details

### getConfig

public Config getConfig()
Description copied from interface: `Converter`
Get the interface for the configuration of this converter

Returns:
  the configuration

### getOutFileName

public String getOutFileName()

### getMainContext

public Context getMainContext()

### addGlobalOption

public void addGlobalOption(String sOption)

### getI18n

public I18n getI18n()

### getColorCv

public ColorConverter getColorCv()

### getCharSc

public CharStyleConverter getCharSc()

### getPageSc

public PageStyleConverter getPageSc()

### getBlockCv

public BlockConverter getBlockCv()

### getParCv

public ParConverter getParCv()

### getHeadingCv

public HeadingConverter getHeadingCv()

### getIndexCv

public IndexConverter getIndexCv()

### getBibCv

public writer2latex.latex.BibConverter getBibCv()

### getSectionCv

public SectionConverter getSectionCv()

### getTableCv

public TableConverter getTableCv()

### getListCv

public ListConverter getListCv()

### getNoteCv

public NoteConverter getNoteCv()

### getCaptionCv

public CaptionConverter getCaptionCv()

### getInlineCv

public InlineConverter getInlineCv()

### getFieldCv

public FieldConverter getFieldCv()

### getDrawCv

public DrawConverter getDrawCv()

### getMathCv

public MathConverter getMathCv()

### getInfo

public writer2latex.latex.Info getInfo()

### convertInner

public void convertInner() throws IOException

Specified by:
  `convertInner` in class `ConverterBase`
Throws:
  `IOException`